<?php
namespace Widgets;

/**
 * Description of TemplateInterface
 *
 * @author Dmitriy
 */
interface TemplateInterface{

    /**
     * @param array $links
     */
     public function addStyleLinks(array $links);

    /**
     * @param array $links
     */
     public function addScriptLinks(array $links);

    /**
     * @param string $style
     */
     public function addStyle(string $style);

    /**
     * @param string $script
     */
     public function addScript(string $script) ;

    /**
     * @param string $path
     * @return mixed
     */
     public function addScriptLink(string $path);

    /**
     * @param string $path
     * @return mixed
     */
    public function addStyleLink(string $path);
}
